# Uses of Enum Class
java.util.stream.Collector.Characteristics

Packages that use Collector.Characteristics
Package
Description
java.util.stream
Classes to support functional-style operations on streams of elements, such as map-reduce transformations on collections.

## Uses of Collector.Characteristics in java.util.stream

Methods in java.util.stream that return Collector.Characteristics
Modifier and Type
Method
Description
`static Collector.Characteristics`
Collector.Characteristics.`valueOf​(String name)`
Returns the enum constant of this class with the specified name.
`static Collector.Characteristics[]`
Collector.Characteristics.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in java.util.stream that return types with arguments of type Collector.Characteristics
Modifier and Type
Method
Description
`Set<Collector.Characteristics>`
Collector.`characteristics()`
Returns a `Set` of `Collector.Characteristics` indicating the characteristics of this Collector.
Methods in java.util.stream with parameters of type Collector.Characteristics
Modifier and Type
Method
Description
`static <T,​ A,​ R> Collector<T,​A,​R>`
Collector.`of​(Supplier<A> supplier, BiConsumer<A,​T> accumulator, BinaryOperator<A> combiner, Function<A,​R> finisher, Collector.Characteristics... characteristics)`
Returns a new `Collector` described by the given `supplier`, `accumulator`, `combiner`, and `finisher` functions.
`static <T,​ R> Collector<T,​R,​R>`
Collector.`of​(Supplier<R> supplier, BiConsumer<R,​T> accumulator, BinaryOperator<R> combiner, Collector.Characteristics... characteristics)`
Returns a new `Collector` described by the given `supplier`, `accumulator`, and `combiner` functions.